LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05654Development [All Projects] Import/Exportpublic2012-01-11 12:422013-03-17 12:13
Reporteruser16048 
Assigned To 
PrioritynormalSeverityminor 
StatusacknowledgedResolutionsuspended 
Product Version1.91+ 
Target VersionFixed in Version 
Summary05654: Problems with umlauts/mutated vowels when exporting to latin1 doc file
DescriptionThere seems to be something wrong with the export feature that lets you export the results of a survey as "Microsoft Word (latin charset)" if you use mutated vowels (common in the german language).

1. File doesn't look like a .doc file, more like a HTML file
If you open the file (e.g. results-survey28815.doc in the attachments) with an editor you see that the file has no header (and I think normally .doc files have a header). It starts with an HTML style declaration and continues using HTML. So perhaps a .doc wasn't really created but a HTML file that was just renamed to .doc.

2. charset doesn't match
If I open the file with Microsoft Word, Open Office or Libre Office the mutated vowels will be replaced with signs like "ü". Even Notepad++ thinks the file is in UTF-8. If you switsch to latin_1 the same thing happens.
Steps To ReproduceCreate a german survey e.g. with a male/female gender question. Start the survey, take part and the export the results as .doc file.
Additional InformationAttachments:
- results-survey28815.doc: exported doc file
- exportedDOCfileNotepadAsLatin1.jpg: Screenshot, open with Notepad++ chaset latin
- exportedDOCfileNotepadAsUTF8.jpg: Screenshot, open with Notepad++ chaset UTF-8
- exportedDOCfileWord.jpg: Screenshot, open with Microsoft Word
TagsNo tags attached.
Attached Filesdoc file icon results-survey28815.doc [^] (3,125 bytes) 2012-01-11 12:42
jpg file icon exportedDOCfileWord.jpg [^] (30,045 bytes) 2012-01-11 12:42


jpg file icon exportedDOCfileNotepadAsLatin1.jpg [^] (215,127 bytes) 2012-01-11 12:43
jpg file icon exportedDOCfileNotepadAsUTF8.jpg [^] (217,118 bytes) 2012-01-11 12:43

- Relationships

-  Notes
User avatar (16898)
c_schmitz (administrator)
2012-01-22 17:10

The whole Word export needs to be rewritten. This will be fixed only then.

- Issue History
Date Modified Username Field Change
2012-01-11 12:42 user16048 New Issue
2012-01-11 12:42 user16048 File Added: results-survey28815.doc
2012-01-11 12:42 user16048 File Added: exportedDOCfileWord.jpg
2012-01-11 12:43 user16048 File Added: exportedDOCfileNotepadAsLatin1.jpg
2012-01-11 12:43 user16048 File Added: exportedDOCfileNotepadAsUTF8.jpg
2012-01-11 14:56 Mazi Assigned To => c_schmitz
2012-01-11 14:56 Mazi Status new => assigned
2012-01-22 17:10 c_schmitz Note Added: 16898
2012-01-22 17:10 c_schmitz Status assigned => closed
2012-01-22 17:10 c_schmitz Resolution open => suspended
2012-09-14 12:32 c_schmitz Assigned To c_schmitz =>
2012-09-14 12:32 c_schmitz Status closed => acknowledged
2013-03-17 12:13 c_schmitz Project Bug reports => Development


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker